Bug 65445 - sorting problem and a locale fix in glibc2.2.4 (already resolved in glibc-cvs)
Summary: sorting problem and a locale fix in glibc2.2.4 (already resolved in glibc-cvs)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-24 07:35 UTC by Won-kyu Park
Modified: 2016-11-24 15:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 20:36:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Won-kyu Park 2002-05-24 07:35:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
there is a problem in locale/ld-colloate.c of the glibc-2.2.4
locale/ko_KR also have a typo error.

and, glibc-cvs already fixed this problem

attached patch can solve it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mkdir test;cd test;mkdir 0! 3* 4Y 6s 86;LANG=ko_KR;ls |sort

Actual Results:  $ LANG=ko_KR;ls |sort
4Y
6s
3*
86
0!

Expected Results:  $ LANG=ko_KR;ls |sort
0!
3*
4Y
6s
86

Additional info:

Comment 1 Won-kyu Park 2002-05-24 07:46:14 UTC
this is the ld-collate.c patch :-)

http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/locale/programs/ld-
collate.c.diff?r1=1.97&r2=1.98&cvsroot=glibc

and ko_KR fix

http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/localedata/locales/ko_KR.diff?
r1=1.13&r2=1.14&cvsroot=glibc

Comment 2 Alan Cox 2002-12-15 20:36:29 UTC
Verified ok in 8.0



Note You need to log in before you can comment on or make changes to this bug.